# ncurses 5.9 - patch  - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20141221.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Dec 21 18:22:29 UTC 2014
# ------------------------------------------------------------------------------
# NEWS                             |    6 +++++-
# VERSION                          |    2 +-
# configure                        |   14 +++++++-------
# configure.in                     |   11 ++++-------
# dist.mk                          |    4 ++--
# package/debian-mingw/changelog   |    4 ++--
# package/debian-mingw64/changelog |    4 ++--
# package/debian/changelog         |    4 ++--
# package/mingw-ncurses.nsi        |    4 ++--
# package/mingw-ncurses.spec       |    2 +-
# package/ncurses.spec             |    2 +-
# 11 files changed, 29 insertions(+), 28 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.2318 
--- ncurses-5.9-20141220+/NEWS	2014-12-21 00:20:46.000000000 +0000
+++ ncurses-5.9-20141221/NEWS	2014-12-21 17:32:58.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2318 2014/12/21 00:20:46 tom Exp $
+-- $Id: NEWS,v 1.2320 2014/12/21 17:32:58 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,10 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20141221
+	+ fix an incorrect variable assignment in 20141220 changes (report by
+	  Sven Joachim).
+
 20141220
 	+ updated Ada95/configure with macro changes from 20141213
 	+ tie configure options --with-abi-version and --with-versioned-syms
Index: VERSION
--- ncurses-5.9-20141220+/VERSION	2014-12-20 16:10:23.000000000 +0000
+++ ncurses-5.9-20141221/VERSION	2014-12-21 17:23:21.000000000 +0000
@@ -1 +1 @@
-5:0:9	5.9	20141220
+5:0:9	5.9	20141221
Index: configure
--- ncurses-5.9-20141220+/configure	2014-12-21 00:15:53.000000000 +0000
+++ ncurses-5.9-20141221/configure	2014-12-21 17:41:44.000000000 +0000
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.594 .
+# From configure.in Revision: 1.595 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.20141204.
 #
@@ -21980,17 +21980,17 @@
 	UNALTERED_SYMS=`echo "$RESULTING_SYMS" | sed -e 's/\\$/\\\\$/g'`
 	case $cf_cv_abi_version in
 	[6789])
-		if test -n "$VERSIONED_SYMS"
-		then
-			test -n "$verbose" && echo "	will map symbols to ABI=$cf_cv_abi_version" 1>&6
+		test -n "$verbose" && echo "	will map symbols to ABI=$cf_cv_abi_version" 1>&6
 
-echo "${as_me:-configure}:21987: testing will map symbols to ABI=$cf_cv_abi_version ..." 1>&5
+echo "${as_me:-configure}:21985: testing will map symbols to ABI=$cf_cv_abi_version ..." 1>&5
 
-		fi
 		RESULTING_SYMS=resulting.map
 		;;
 	*)
-		RESULTING_SYMS="$UNALTERED_SYMS"
+		test -n "$verbose" && echo "	will map symbols to default ABI" 1>&6
+
+echo "${as_me:-configure}:21992: testing will map symbols to default ABI ..." 1>&5
+
 		;;
 	esac
 else
Index: configure.in
Prereq:  1.594 
--- ncurses-5.9-20141220+/configure.in	2014-12-21 00:00:25.000000000 +0000
+++ ncurses-5.9-20141221/configure.in	2014-12-21 17:25:38.000000000 +0000
@@ -28,14 +28,14 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: configure.in,v 1.594 2014/12/21 00:00:25 tom Exp $
+dnl $Id: configure.in,v 1.595 2014/12/21 17:25:38 tom Exp $
 dnl Process this file with autoconf to produce a configure script.
 dnl
 dnl See http://invisible-island.net/autoconf/ for additional information.
 dnl
 dnl ---------------------------------------------------------------------------
 AC_PREREQ(2.52.20030208)
-AC_REVISION($Revision: 1.594 $)
+AC_REVISION($Revision: 1.595 $)
 AC_INIT(ncurses/base/lib_initscr.c)
 AC_CONFIG_HEADER(include/ncurses_cfg.h:include/ncurses_cfg.hin)
 
@@ -2098,14 +2098,11 @@
 	UNALTERED_SYMS=`echo "$RESULTING_SYMS" | sed -e 's/\\$/\\\\$/g'`
 	case $cf_cv_abi_version in
 	[[6789]])
-		if test -n "$VERSIONED_SYMS"
-		then
-			CF_VERBOSE(will map symbols to ABI=$cf_cv_abi_version)
-		fi
+		CF_VERBOSE(will map symbols to ABI=$cf_cv_abi_version)
 		RESULTING_SYMS=resulting.map
 		;;
 	*)
-		RESULTING_SYMS="$UNALTERED_SYMS"
+		CF_VERBOSE(will map symbols to default ABI)
 		;;
 	esac
 else
Index: dist.mk
Prereq:  1.1020 
--- ncurses-5.9-20141220+/dist.mk	2014-12-20 16:10:23.000000000 +0000
+++ ncurses-5.9-20141221/dist.mk	2014-12-21 17:23:21.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1020 2014/12/20 16:10:23 tom Exp $
+# $Id: dist.mk,v 1.1021 2014/12/21 17:23:21 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20141220
+NCURSES_PATCH = 20141221
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: package/debian-mingw/changelog
--- ncurses-5.9-20141220+/package/debian-mingw/changelog	2014-12-20 16:10:23.000000000 +0000
+++ ncurses-5.9-20141221/package/debian-mingw/changelog	2014-12-21 17:23:21.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9+20141220) unstable; urgency=low
+ncurses6 (5.9+20141221) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 20 Dec 2014 11:10:23 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 21 Dec 2014 12:23:21 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-5.9-20141220+/package/debian-mingw64/changelog	2014-12-20 16:10:23.000000000 +0000
+++ ncurses-5.9-20141221/package/debian-mingw64/changelog	2014-12-21 17:23:21.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9+20141220) unstable; urgency=low
+ncurses6 (5.9+20141221) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 20 Dec 2014 11:10:23 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 21 Dec 2014 12:23:21 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-5.9-20141220+/package/debian/changelog	2014-12-20 16:10:23.000000000 +0000
+++ ncurses-5.9-20141221/package/debian/changelog	2014-12-21 17:23:21.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9+20141220) unstable; urgency=low
+ncurses6 (5.9+20141221) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 20 Dec 2014 11:10:23 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 21 Dec 2014 12:23:21 -0500
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.75 
--- ncurses-5.9-20141220+/package/mingw-ncurses.nsi	2014-12-20 16:10:23.000000000 +0000
+++ ncurses-5.9-20141221/package/mingw-ncurses.nsi	2014-12-21 17:23:21.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.75 2014/12/20 16:10:23 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.76 2014/12/21 17:23:21 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "5"
 !define VERSION_MINOR "9"
 !define VERSION_YYYY  "2014"
-!define VERSION_MMDD  "1220"
+!define VERSION_MMDD  "1221"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-5.9-20141220+/package/mingw-ncurses.spec	2014-12-20 16:10:23.000000000 +0000
+++ ncurses-5.9-20141221/package/mingw-ncurses.spec	2014-12-21 17:23:21.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 5.9
-Release: 20141220
+Release: 20141221
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-5.9-20141220+/package/ncurses.spec	2014-12-20 16:10:23.000000000 +0000
+++ ncurses-5.9-20141221/package/ncurses.spec	2014-12-21 17:23:21.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 5.9
-Release: 20141220
+Release: 20141221
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
